CognitoIdentityCredentials is not authorized to perform

Here is the whole warning:

[Warning] (CloudGemFramework) - An ClientError error occurred when performing GET /service/status on service CloudGemInventory using https://e9hmzv74o8.execute-api.us-east-1.amazonaws.com/api/service/status: Access denied (403). {"Message":"User: arn:aws:sts::281307484031:assumed-role/RPG1-Dev-Access-Player-EDHTFIUQ7IJ7/CognitoIdentityCredentials is not authorized to perform: execute-api:Invoke on resource: arn:aws:execute-api:us-east-1:********4031:e9hmzv74o8/api/GET/service/status"}

This happens whenever I try to check the status of the cloud framework in Lua. I haven’t changed anything to restrict access to functions. How do I get access?

Update: The resource-template.json need its permissions updated.

1 Like